package WEB-INF.classes.wenrgise.hrms.webtier.form;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmSepCatMstForm extends HrmBaseForm {
  String separationId;
  
  String separationCode;
  
  String description;
  
  String noticePeriod;
  
  String remarks;
  
  String disabdescription;
  
  String disabnoticePeriod;
  
  String disabremarks;
  
  String disabseparationCode;
  
  String disabseparationId;
  
  String butSeparationCode;
  
  String disabbutSeparationCode;
  
  String separationType;
  
  String disabseparationType;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getSeparationCode() {
    return this.separationCode;
  }
  
  public void setSeparationCode(String newSeparationCode) {
    this.separationCode = newSeparationCode;
  }
  
  public String getDescription() {
    return this.description;
  }
  
  public void setDescription(String newDescription) {
    this.description = newDescription;
  }
  
  public String getNoticePeriod() {
    return this.noticePeriod;
  }
  
  public void setNoticePeriod(String newNoticePeriod) {
    this.noticePeriod = newNoticePeriod;
  }
  
  public String getRemarks() {
    return this.remarks;
  }
  
  public void setRemarks(String newRemarks) {
    this.remarks = newRemarks;
  }
  
  public String getSeparationId() {
    return this.separationId;
  }
  
  public void setSeparationId(String newSeparationId) {
    this.separationId = newSeparationId;
  }
  
  public String getDisabdescription() {
    return this.disabdescription;
  }
  
  public void setDisabdescription(String newDisabdescription) {
    this.disabdescription = newDisabdescription;
  }
  
  public String getDisabnoticePeriod() {
    return this.disabnoticePeriod;
  }
  
  public void setDisabnoticePeriod(String newDisabnoticePeriod) {
    this.disabnoticePeriod = newDisabnoticePeriod;
  }
  
  public String getDisabremarks() {
    return this.disabremarks;
  }
  
  public void setDisabremarks(String newDisabremarks) {
    this.disabremarks = newDisabremarks;
  }
  
  public String getDisabseparationCode() {
    return this.disabseparationCode;
  }
  
  public void setDisabseparationCode(String newDisabseparationCode) {
    this.disabseparationCode = newDisabseparationCode;
  }
  
  public String getDisabseparationId() {
    return this.disabseparationId;
  }
  
  public void setDisabseparationId(String newDisabseparationId) {
    this.disabseparationId = newDisabseparationId;
  }
  
  public String getButSeparationCode() {
    return this.butSeparationCode;
  }
  
  public void setButSeparationCode(String newButSeparationCode) {
    this.butSeparationCode = newButSeparationCode;
  }
  
  public String getDisabbutSeparationCode() {
    return this.disabbutSeparationCode;
  }
  
  public void setDisabbutSeparationCode(String newDisabbutSeparationCode) {
    this.disabbutSeparationCode = newDisabbutSeparationCode;
  }
  
  public String getSeparationType() {
    return this.separationType;
  }
  
  public void setSeparationType(String newSeparationType) {
    this.separationType = newSeparationType;
  }
  
  public String getDisabseparationType() {
    return this.disabseparationType;
  }
  
  public void setDisabseparationType(String newDisabseparationType) {
    this.disabseparationType = newDisabseparationType;
  }
}
